Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
HOWTO: Install freenx
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 20, 21, 22 ... 28, 29, 30  Next  
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks
View previous topic :: View next topic  
Author Message
mana
Tux's lil' helper
Tux's lil' helper


Joined: 04 Apr 2005
Posts: 75
Location: Berlin

PostPosted: Thu Apr 20, 2006 9:59 am    Post subject: Reply with quote

i'll try a new checkout when the next version is available :) thanks

best regards
_________________
Mein Freund, der Baum, ist tot. Er starb im frühen Morgenrot.
Back to top
View user's profile Send private message
DreadPirate
n00b
n00b


Joined: 13 Apr 2002
Posts: 10
Location: Boston, MA

PostPosted: Thu Apr 20, 2006 10:10 pm    Post subject: Reply with quote

StifflerStealth,

Yes I did. I did both that and nxserver --passwd <username> as well.
Back to top
View user's profile Send private message
StifflerStealth
Retired Dev
Retired Dev


Joined: 03 Jul 2002
Posts: 968

PostPosted: Sat Apr 22, 2006 1:34 pm    Post subject: Reply with quote

@DreadPirate Okay, I am stumped by that one. I will look into it. :)

@Mana: There may not be many revision bumps. I think the next revision will be in portage. ;) They might work then. *hopes*

Cheers.
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
mana
Tux's lil' helper
Tux's lil' helper


Joined: 04 Apr 2005
Posts: 75
Location: Berlin

PostPosted: Sun Apr 23, 2006 8:59 am    Post subject: Reply with quote

great stuff! :) ..

By the way: Tell me, weren't there rumours about a NX://-Wrapper in KDE, a deep integration of the client capabilities ... ? The NX-Client as Login option in KDM that would also be great if you don't want to start a whole desktop .. to just mention one Idea .. :-)

have a nice rest of the weekend

Mana
_________________
Mein Freund, der Baum, ist tot. Er starb im frühen Morgenrot.
Back to top
View user's profile Send private message
GrimSage
n00b
n00b


Joined: 13 Sep 2004
Posts: 42

PostPosted: Mon Apr 24, 2006 6:10 am    Post subject: Reply with quote

when doing a emerge -puD world I get the following error....

Code:

These are the packages that would be merged, in order:
Calculating world dependencies  ..... ../usr/lib/portage/bin/ebuild.sh: line 1188: /usr/portage/eclass/debian.eclass: No such file or directory
!!! ERROR: net-misc/nxclient-1.5.0-r4 failed.
Call stack:
  ebuild.sh, line 1432:   Called source '/usr/local/portage/net-misc/nxclient/nxclient-1.5.0-r4.ebuild'
  nxclient-1.5.0-r4.ebuild, line 5:   Called inherit 'rpm' 'debian'
  ebuild.sh, line 1189:   Called die
!!! died sourcing /usr/portage/eclass/debian.eclass in inherit()
!!! If you need support, post the topmost build error, and the call stack if relevant.
aux_get(): (0) Error in net-misc/nxclient-1.5.0-r4 ebuild. (1)

i have tried to do a svn up but it does not fix the issue. says I have the current build. So I tried deleteing the directory and trying again with an new checkout and it gives me the same message.
Back to top
View user's profile Send private message
baaann
Guru
Guru


Joined: 23 Jan 2006
Posts: 549
Location: uk

PostPosted: Mon Apr 24, 2006 9:34 am    Post subject: Reply with quote

I had this problem, StifflerStealth answered it on page 20

Quote:

PostPosted: Sun Apr 16, 2006 11:40 pm Post subject: Reply with quote
You need to do two commands now. ;) I updated the howto on how to do this here:
https://bugs.gentoo.org/attachment.cgi?id=84778

Basically, in the same directory that you ran:
svn co http://svn.gnqs.org/svn/gentoo-nx-overlay/testing/net-misc
You need to run this command:
svn co http://svn.gnqs.org/svn/gentoo-nx-overlay/testing/eclass

There are now two eclasses to DL. :) And I just updated the net-misc overlay as well, so you need to resync with that. :)


Barrie
Back to top
View user's profile Send private message
GrimSage
n00b
n00b


Joined: 13 Sep 2004
Posts: 42

PostPosted: Mon Apr 24, 2006 10:51 pm    Post subject: Reply with quote

that worked. Thank you.
Back to top
View user's profile Send private message
JoKo
Tux's lil' helper
Tux's lil' helper


Joined: 16 May 2004
Posts: 141
Location: Xanthi, Greece

PostPosted: Sun Apr 30, 2006 8:24 pm    Post subject: Reply with quote

I'm trying to install FreeNX in Xorg 7.0 at amd64 arch.

Emerging completed just fine, "nxsetup --install --setup-nomachine-key --clean --purge" gave some warnings duting testing:

Code:
----> Testing your nxserver configuration ...
Warning: Could not find nxdesktop in /usr/NX/bin. RDP sessions won't work.
Warning: Could not find nxviewer in /usr/NX/bin. VNC sessions won't work.
Warning: Invalid value "CUPS_ETC=/etc/cups/"
         Users will not be able to enable printing.
Warning: Invalid value "COMMAND_START_KDE=startkde"
         Users will not be able to request a KDE session.
Warning: Invalid value "COMMAND_START_GNOME=gnome-session"
         Users will not be able to request a Gnome session.
Warning: Invalid value "COMMAND_START_CDE=cdwm"
         Users will not be able to request a CDE session.
Warning: Invalid value "COMMAND_SMBMOUNT=smbmount". You'll not be able to use SAMBA.
Warning: Invalid value "COMMAND_SMBUMOUNT=smbumount". You'll not be able to use SAMBA.
Warning: Invalid value "COMMAND_CUPSD=/usr/sbin/cupsd"
         Users will not be able to enable printing.
/usr/NX/bin/nxloadconfig: line 499: [: missing `]'

  Warnings occured during config check.
  To enable these features please correct the configuration file.

<---- done

----> Testing your nxserver connection ...
HELLO NXSERVER - Version 1.5.0-50-SVN OS (GPL)
NX> 105 quit
Quit
<--- done

Ok, nxserver is ready.
/usr/NX/bin/nxsetup: line 437: echo: write error: Interrupted system call

but as you see, it says nxserver is ready...

After that, I've tried nxclient to see if I can connect to the local NX server. Authentication went OK, but I couldn't connect. Here's the log of nxclient:
Code:
NX> 203 NXSSH running with pid: 29164
NX> 285 Enabling check on switch command
NX> 285 Enabling skip of SSH config files
NX> 200 Connected to address: 192.168.0.2 on port: 22
NX> 202 Authenticating user: nx
NX> 208 Using auth method: publickey
HELLO NXSERVER - Version 1.5.0-50-SVN OS (GPL)
NX> 105 hello NXCLIENT - Version 1.5.0
NX> 134 Accepted protocol: 1.5.0
NX> 105 SET SHELL_MODE SHELL
NX> 105 SET AUTH_MODE PASSWORD
NX> 105 login
NX> 101 User: joko
NX> 102 Password:
NX> 103 Welcome to: optimus user: joko
NX> 105 listsession --user="joko" --status="suspended,running" --geometry="1920x1200x24+render" --type="unix-kde"
NX> 127 Sessions list of user 'joko' for reconnect:

Display Type             Session ID                       Options  Depth Screen         Status      Session Name
------- ---------------- -------------------------------- -------- ----- -------------- ----------- ------------------------------


NX> 148 Server capacity: not reached for user: joko
NX> 105 startsession --session="Optimus" --type="unix-kde" --cache="8M" --images="32M" --link="lan" --kbtype="pc101/us" --nodelay="1" --encryption="1" --backingstore="never" --geometry="1024x768+448+192" --media="0" --agent_server="" --agent_user="" agent_password="******""  --screeninfo="1024x768x24+render"

NX> 1000 NXNODE - Version 1.5.0-50-SVN OS (GPL)
NX> 700 Session id: optimus-1000-4A73E9AB76B85B4C90E8F2374CD81157
NX> 705 Session display: 1000
NX> 703 Session type: unix-kde
NX> 701 Proxy cookie: 854c149fdcc7eb40e8462a55b6a17ebc
NX> 702 Proxy IP: 127.0.0.1
NX> 706 Agent cookie: 854c149fdcc7eb40e8462a55b6a17ebc
NX> 704 Session cache: unix-kde
NX> 707 SSL tunneling: 1
NX> 710 Session status: running
NX> 1002 Commit
/usr/NX/bin/nxserver: line 1077: 29324 Terminated              sleep $AGENT_STARTUP_TIMEOUT
NX> 105 NX> 1006 Session status: running
NX> 280 Ignoring EOF on the monitored channel
NX> 280 Ignoring CLOSE on the monitored channel
bye
Bye
NX> 999 Bye
NX> 596 Session startup failed.
NX> 1004 Error: NX Agent exited with exit status 1.
Can't open /usr/NX/var/db/running/sessionId{4A73E9AB76B85B4C90E8F2374CD81157}: No such file or directory.
mv: cannot stat `/usr/NX/var/db/running/sessionId{4A73E9AB76B85B4C90E8F2374CD81157}': No such file or directory
NX> 1006 Session status: closed
NX> 1001 Bye.
NX> 285 Identified internal connection
NX> 285 Using default mode encrypted
NX> 285 Identified options: nx,options=/home/joko/.nx/S-optimus-1000-4A73E9AB76B85B4C90E8F2374CD81157/options:1000
NX> 285 Switching descriptors: 4 and: 5 to: 9

NX> 287 Redirected I/O to channel descriptors
Killed by signal 15.


It seems to be nxagent is the problem, so I've checked nxagent... Although objdump confirms it's a 32-bit binary, it seems to have dependencies problems:
Code:
~ # ldd /usr/NX/bin/nxagent
        linux-gate.so.1 =>  (0xffffe000)
        libXext.so.6 => /emul/linux/x86/usr/lib/libXext.so.6 (0xf7f2d000)
        libX11.so.6 => /emul/linux/x86/usr/lib/libX11.so.6 (0xf7e62000)
        libm.so.6 => /lib32/tls/libm.so.6 (0xf7e3f000)
        libXpm.so.4 => /emul/linux/x86/usr/lib/libXpm.so.4 (0xf7e2f000)
        libXrender.so.1 => /emul/linux/x86/usr/lib/libXrender.so.1 (0xf7e27000)
        libc.so.6 => /lib32/tls/libc.so.6 (0xf7d0f000)
        libXcompext.so.1 => not found
        libXcomp.so.1 => not found
        libdl.so.2 => /lib32/libdl.so.2 (0xf7d0a000)
        /lib/ld-linux.so.2 (0xf7f5a000)


Can anyone help me? Thanks in advance...
Back to top
View user's profile Send private message
MHenry676
Tux's lil' helper
Tux's lil' helper


Joined: 02 Aug 2004
Posts: 125

PostPosted: Mon May 01, 2006 7:10 am    Post subject: Reply with quote

After some many times of trying I can not get past this. I just came from nxserver-freenx 0.2.8 to the latest 0.5.0 and now that I'm getting in and authenticating, i get this:

Code:

NX> 202 Authenticating user: nx
NX> 208 Using auth method: publickey
HELLO NXSERVER - Version 1.5.0-50-SVN OS (GPL)
NX> 105 hello NXCLIENT - Version 1.5.0
NX> 134 Accepted protocol: 1.5.0
NX> 105 SET SHELL_MODE SHELL
NX> 105 SET AUTH_MODE PASSWORD
NX> 105 login
NX> 101 User: user
NX> 102 Password:
NX> 103 Welcome to: MASTER user: user
NX> 105 listsession --user="user" --status="suspended,running" --geometry="1024x768x16+render" --type="unix-kde"
NX> 127 Sessions list of user 'user' for reconnect:

Display Type             Session ID                       Options  Depth Screen         Status      Session Name
------- ---------------- -------------------------------- -------- ----- -------------- ----------- ------------------------------


NX> 148 Server capacity: not reached for user: user
NX> 105 startsession --session="MASTER" --type="unix-kde" --cache="32M" --images="128M" --link="modem" --render="1" --kbtype="pc102/en_US" --nodelay="1" --imagecompressionlevel="-1" --encryption="1" --backingstore="never" --imagecompressionmethod="2" --geometry="1024x768" --media="0" --agent_server="" --agent_user="" agent_password="******""  --screeninfo="1024x768x16+render"

NX> 1000 NXNODE - Version 1.5.0-50-SVN OS (GPL)
Failed to add the host to the list of known hosts (/usr/NX/home/nx/.ssh/known_hosts).
NX> 105 NX> 596 Session startup failed.
NX> 1004 Error: NX Agent exited with exit status 1.
NX> 1006 Session status: closed
NX> 700 Session id: MASTER-1000-5D97E03FA9581872C08965060BC994F1
NX> 705 Session display: 1000
NX> 703 Session type: unix-kde
NX> 701 Proxy cookie: ca1c0350264b76a22dfaeb42a1163037
NX> 702 Proxy IP: 127.0.0.1
NX> 706 Agent cookie: ca1c0350264b76a22dfaeb42a1163037
/usr/NX/bin/nxserver: line 1077: 31033 Terminated              sleep $AGENT_STARTUP_TIMEOUT
Can't open /usr/NX/var/db/running/sessionId{5D97E03FA9581872C08965060BC994F1}: No such file or directory.
mv: cannot stat `/usr/NX/var/db/running/sessionId{5D97E03FA9581872C08965060BC994F1}': No such file or directory
NX> 704 Session cache: unix-kde
NX> 707 SSL tunneling: 1
Killed by signal 15.


This is from the windows client. Where are the logs on the server side?

EDIT: Yeah, I did this at 3 in the morning, not looking at the above post. Seems to be the same problem, but I'm x86 arch.
_________________
ASUS A7N8X-E DLX | Mobile Athlon XP 2500 @ 2.5GHz | 1GB OCZ Gold 2-2-2-5 | GeForce 6800
HOWTO Fully Automated USB mounting using udev (WIP)
Back to top
View user's profile Send private message
MHenry676
Tux's lil' helper
Tux's lil' helper


Joined: 02 Aug 2004
Posts: 125

PostPosted: Mon May 01, 2006 3:13 pm    Post subject: Reply with quote

Also, my vnc (via realvnc server) is not working right. I get in, but only get the X mouse cursor. Doesn't seem that KDE is loading now. This a side-effect? Is this because of the nxvnc? It was working fine with both nxserver and vnc, before I moved up to doing the subversion thing.
_________________
ASUS A7N8X-E DLX | Mobile Athlon XP 2500 @ 2.5GHz | 1GB OCZ Gold 2-2-2-5 | GeForce 6800
HOWTO Fully Automated USB mounting using udev (WIP)
Back to top
View user's profile Send private message
cgmd
Veteran
Veteran


Joined: 17 Feb 2005
Posts: 1585
Location: Louisiana

PostPosted: Mon May 01, 2006 3:53 pm    Post subject: Reply with quote

Strange error from emerge -puDN world today:
Code:
# emerge -puDN world

These are the packages that I would merge, in order:

Calculating world dependencies -
!!! All ebuilds that could satisfy "~net-misc/nxesd-1.5.0" have been masked.
!!! One of the following masked packages is required to complete your request:
- net-misc/nxesd-1.5.0 (masked by: package.mask)
# Stuart Herbert <stuart@gentoo.org> (30 Apr 2006)
# Masked for testing; will unmask soon


For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
!!!    (dependency required by "net-misc/nxclient-1.5.0-r4" [ebuild])



!!! Problem resolving dependencies for net-misc/nxserver-freenx
!!! Depgraph creation failed.


If I try to mask net-misc/nxclient-1.5.0-r4 in /etc/portage/package.mask and re-run emerge -puDN world, I then get:
Code:
# emerge -puDN world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[blocks B     ] <net-misc/nx-x11-1.5.0-r8 (is blocking net-misc/nx-x11-1.5.0-r8)
[ebuild     U ] media-libs/tiff-3.7.4 [3.7.3]
[ebuild     U ] net-misc/nxcomp-1.5.0-r2 [1.5.0-r1]
[ebuild     U ] net-misc/nxproxy-1.5.0-r2 [1.5.0]
[ebuild     U ] net-misc/nx-x11-1.5.0-r8 [1.5.0-r5]
[ebuild     U ] net-misc/nxssh-1.5.0-r2 [1.5.0]


Anyone else experiencing this problem? Or... Better, yet, know of a fix for this?

Thanks...

_________________
"Primum non nocere" ---Galen
Back to top
View user's profile Send private message
MHenry676
Tux's lil' helper
Tux's lil' helper


Joined: 02 Aug 2004
Posts: 125

PostPosted: Mon May 01, 2006 8:30 pm    Post subject: Reply with quote

Ok, found the culprit. As posted by StifflerStealth


PostPosted: Sat Mar 25, 2006 11:31 pm Post subject: Reply with quote
Quote:
Why is it looking in /usr/lib ? It should be looking in /usr/NX/lib. :S Maybe this has to do with taking LDPATH=/usr/NX/lib out of the 50nxpaths file. -_-'

Can you edit the file /etc/env.d/50nxpaths and make it so it looks like this:
Quote:
PATH=/usr/NX/bin
ROOTPATH=/usr/NX/bin
LDPATH=/usr/NX/lib
CONFIG_PROTECT="/usr/NX/etc /usr/NX/home"
Then type env-update, and see if everything works right? Also you need to add your user to nx. Did you type nxserver --adduser {your_user_name}?

Cheers.


Works great!

Mine actually looks like this now.

Code:

PATH=/usr/NX/bin
ROOTPATH=/usr/NX/bin
CONFIG_PROTECT="/usr/NX/etc /usr/NX/home"
PRELINK_PATH_MASK=/usr/NX
SEARCH_DIRS_MASK=/usr/NX
LDPATH=/usr/NX/lib


Previously, mine didn't have the LDPATH as that was the only change.

Still having issues with my VNC, but that might be unrelated seeing how I did unmerge everything about nx, and it did not work then. I noticed that there is an nxvnc, where can I find more on that, as well as nxdesktop (rdp?)

One question, do programs continue to run? If I start downloading, or do a backup process, and get disconnected, does it stop?
_________________
ASUS A7N8X-E DLX | Mobile Athlon XP 2500 @ 2.5GHz | 1GB OCZ Gold 2-2-2-5 | GeForce 6800
HOWTO Fully Automated USB mounting using udev (WIP)
Back to top
View user's profile Send private message
brot
Guru
Guru


Joined: 06 Apr 2004
Posts: 322

PostPosted: Mon May 01, 2006 9:49 pm    Post subject: Reply with quote

Hi :)

I have the following problem...

Quote:
NXPROXY - Version 1.5.0

Copyright (C) 2001, 2005 NoMachine.
See http://www.nomachine.com/ for more information.

Info: Proxy running in client mode with pid '980'.
Warning: Connected to remote NXPROXY version 1.4.0 with local version 1.5.0.
Info: Synchronizing local and remote caches.
Info: Handshaking with remote proxy completed.
Info: Remote proxy doesn't support fake authentication.
Info: Forwarding the real X authorization cookie.
Info: Not using NX delta compression.
Info: Using lan link parameters 16384/8/0/0.
Info: Using pack method '16m-jpeg-9' with session 'unix-kde'.
Info: Not using ZLIB stream compression.
Info: Not using remote ZLIB stream compression.
Info: Not using persistent cache.
Info: Starting X protocol compression.
Info: Established X server connection.
Info: Using shared memory support in X server.
Info: End of session requested by remote proxy.
Info: Shutting down the link and exiting.


I get this when connecting to my machine, disabling zlib doesnt help, and i did enable the 1.5 backend option. If it helps, i have tried to connect from my windows machine and from my linux box to this server... Any ideas ??

Thanks in advance. brot.
Back to top
View user's profile Send private message
LoRz
n00b
n00b


Joined: 08 Jun 2005
Posts: 30

PostPosted: Tue May 02, 2006 12:41 am    Post subject: Reply with quote

cgmd wrote:
Strange error from emerge -puDN world today:
Code:
# emerge -puDN world

These are the packages that I would merge, in order:

Calculating world dependencies -
!!! All ebuilds that could satisfy "~net-misc/nxesd-1.5.0" have been masked.
!!! One of the following masked packages is required to complete your request:
- net-misc/nxesd-1.5.0 (masked by: package.mask)
# Stuart Herbert <stuart@gentoo.org> (30 Apr 2006)
# Masked for testing; will unmask soon


For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
!!!    (dependency required by "net-misc/nxclient-1.5.0-r4" [ebuild])



!!! Problem resolving dependencies for net-misc/nxserver-freenx
!!! Depgraph creation failed.


If I try to mask net-misc/nxclient-1.5.0-r4 in /etc/portage/package.mask and re-run emerge -puDN world, I then get:
Code:
# emerge -puDN world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[blocks B     ] <net-misc/nx-x11-1.5.0-r8 (is blocking net-misc/nx-x11-1.5.0-r8)
[ebuild     U ] media-libs/tiff-3.7.4 [3.7.3]
[ebuild     U ] net-misc/nxcomp-1.5.0-r2 [1.5.0-r1]
[ebuild     U ] net-misc/nxproxy-1.5.0-r2 [1.5.0]
[ebuild     U ] net-misc/nx-x11-1.5.0-r8 [1.5.0-r5]
[ebuild     U ] net-misc/nxssh-1.5.0-r2 [1.5.0]


Anyone else experiencing this problem? Or... Better, yet, know of a fix for this?

Thanks...


I've got similar one when upgrading from r5 to r8. Solved uninstalling nx-x11-r5 first then smoothly emerged with latest.
But after all there is still problem with libraries when starting nxagent.
_________________
CPU: AMD Athlon 64 X2 Dual Core Processor 4600+
RAM: 4096Mb DDR800
MOBO: ASUS M2NPV-VM
VIDEO: nVidia C51PV [GeForce 6150] (rev a2)
SDA: Seagate ST3320620AS 320GB/16Mb cache
SDB: Seagate ST3250820AS 250GB/8Mb cache
DE: Fluxbox 1.0.0
Back to top
View user's profile Send private message
jure1873
Apprentice
Apprentice


Joined: 09 Feb 2006
Posts: 183

PostPosted: Tue May 02, 2006 9:02 am    Post subject: Reply with quote

I've got it working! :)
The lastest nx-x11-bin works for me, I just needed to unmask it and delete the old configuration that was not working.
Back to top
View user's profile Send private message
StifflerStealth
Retired Dev
Retired Dev


Joined: 03 Jul 2002
Posts: 968

PostPosted: Tue May 02, 2006 11:17 am    Post subject: Reply with quote

cgmd wrote:
Strange error from emerge -puDN world today:
Code:
# emerge -puDN world

These are the packages that I would merge, in order:

Calculating world dependencies -
!!! All ebuilds that could satisfy "~net-misc/nxesd-1.5.0" have been masked.
!!! One of the following masked packages is required to complete your request:
- net-misc/nxesd-1.5.0 (masked by: package.mask)
# Stuart Herbert <stuart@gentoo.org> (30 Apr 2006)
# Masked for testing; will unmask soon


For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
!!!    (dependency required by "net-misc/nxclient-1.5.0-r4" [ebuild])



!!! Problem resolving dependencies for net-misc/nxserver-freenx
!!! Depgraph creation failed.


If I try to mask net-misc/nxclient-1.5.0-r4 in /etc/portage/package.mask and re-run emerge -puDN world, I then get:
Code:
# emerge -puDN world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[blocks B     ] <net-misc/nx-x11-1.5.0-r8 (is blocking net-misc/nx-x11-1.5.0-r8)
[ebuild     U ] media-libs/tiff-3.7.4 [3.7.3]
[ebuild     U ] net-misc/nxcomp-1.5.0-r2 [1.5.0-r1]
[ebuild     U ] net-misc/nxproxy-1.5.0-r2 [1.5.0]
[ebuild     U ] net-misc/nx-x11-1.5.0-r8 [1.5.0-r5]
[ebuild     U ] net-misc/nxssh-1.5.0-r2 [1.5.0]


Anyone else experiencing this problem? Or... Better, yet, know of a fix for this?

Thanks...
unmask nxesd and unmerge nx-z11. :) You cannot have previous versions of nx-x11 installed do the numerous changes made to it. To prevent any corruption, you need to unmerge nx-x11 and then do your update world. That will pull in nx-x11 again. :)

EDIT: The lines that should be in /etc/portage/package.unmask to use freenx:
~net-misc/nx-x11-1.5.0
~net-misc/nx-x11-bin-1.5.0
~net-misc/nxclient-1.5.0
~net-misc/nxcomp-1.5.0
~net-misc/nxesd-1.5.0
~net-misc/nxproxy-1.5.0
~net-misc/nxserver-freenx-1.5.0
~net-misc/nxssh-1.5.0

Cheers
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
cgmd
Veteran
Veteran


Joined: 17 Feb 2005
Posts: 1585
Location: Louisiana

PostPosted: Tue May 02, 2006 12:51 pm    Post subject: Reply with quote

Code:
 unmask nxesd and unmerge nx-z11. :) You cannot have previous versions of nx-x11 installed do the numerous changes made to it. To prevent any corruption, you need to unmerge nx-x11 and then do your update world. That will pull in nx-x11 again. :)

EDIT: The lines that should be in /etc/portage/package.unmask to use freenx:
~net-misc/nx-x11-1.5.0
~net-misc/nx-x11-bin-1.5.0
~net-misc/nxclient-1.5.0
~net-misc/nxcomp-1.5.0
~net-misc/nxesd-1.5.0
~net-misc/nxproxy-1.5.0
~net-misc/nxserver-freenx-1.5.0
~net-misc/nxssh-1.5.0


Excellent advice... That works perfectly! :D

Thanks, once again, for keeping me on track. :)
_________________
"Primum non nocere" ---Galen
Back to top
View user's profile Send private message
baaann
Guru
Guru


Joined: 23 Jan 2006
Posts: 549
Location: uk

PostPosted: Tue May 02, 2006 9:13 pm    Post subject: Reply with quote

I seem to have a slightly different problem
Code:

sempron2600 eclass # emerge -puD world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[blocks B     ] net-misc/nxclient (is blocking net-misc/nxserver-freenx-0.5.0)
[ebuild     U ] media-libs/tiff-3.7.4 [3.7.3]
[ebuild     UD] net-misc/nxserver-freenx-0.5.0 [0.5.0.20060311-r1]


Portage wants to downgrade nxserver-freenx.

My /etc/portage/package.keywords
Code:

app-emulation/qemu-softmmu ~x86
dev-cpp/gtkmm ~x86
app-office/openoffice ~x86
dev-perl/DBD-mysql ~x86
games-fps/cube ~x86
dev-java/java-config ~x86
x11-libs/gtk+ ~x86
dev-libs/glib ~x86
x11-libs/cairo ~x86
x11-libs/pango ~x86
dev-cpp/glibmm ~x86
app-misc/vxretail ~x86
app-misc/plusd ~x86
app-misc/bhpos_serverlibs ~x86
app-misc/bhpos_mfposengine ~x86
app-misc/bhpos_mflibs ~x86
app-misc/bhpos_hwlib ~x86
dev-php/PEAR-Calendar ~x86
dev-php/PEAR-Date ~x86
dev-php/PEAR-PEAR ~x86
dev-php/PEAR-Archive_Tar ~x86
dev-php/PEAR-Console_Getopt ~x86
dev-php/PEAR-XML_RPC ~x86
dev-php/php ~x86
dev-lang/php ~x86
app-admin/php-toolkit ~x86
dev-php/PEAR-Cache_Lite ~x86
net-misc/nxserver-freenx ~x86
net-misc/nx-x11 ~x86
net-misc/nxclient ~x86
net-misc/nxcomp ~x86
net-misc/nxproxy ~x86
net-misc/nxssh ~x86
net-misc/nxesd ~x86
net-misc/nxserver-business ~x86
net-misc/nxserver-enterprise ~x86
net-misc/nxserver-personal ~x86
app-emulation/kqemu ~x86
sys-devel/gcc ~x86
net-p2p/ktorrent ~x86
net-im/ekiga ~x86
dev-libs/pwlib ~x86
net-libs/opal ~x86
app-text/hunspell ~x86
media-video/vlc ~x86
dev-libs/libebml ~x86
net-misc/nx-x11 ~x86
net-misc/nxclient ~x86
net-misc/nxcomp ~x86
net-misc/nxproxy ~x86
net-misc/nxssh ~x86
net-misc/nxesd ~x86
net-misc/nxserver-business ~x86
net-misc/nxserver-enterprise ~x86
net-misc/nxserver-personal ~x86
app-emulation/kqemu ~x86
sys-devel/gcc ~x86
net-p2p/ktorrent ~x86
net-im/ekiga ~x86
dev-libs/pwlib ~x86
net-libs/opal ~x86
app-text/hunspell ~x86
media-video/vlc ~x86
dev-libs/libebml ~x86
dev-python/pydot ~x86
app-office/tinyerp-server ~x86
app-office/tinyerp-client ~x86
net-print/bjfilter ~x86
sys-apps/slocate ~x86


My /etc/portage/package.unmask
Code:

~net-misc/nx-x11-1.5.0
~net-misc/nxclient-1.5.0
~net-misc/nxcomp-1.5.0
~net-misc/nxproxy-1.5.0
~net-misc/nxserver-freenx-1.5.0
~net-misc/nxssh-1.5.0
>=net-im/ekiga-1.99
~net-misc/nxesd-1.5.0
~net-misc/nxserver-business-1.5.0
~net-misc/nxserver-enterprise-1.5.0
~net-misc/nxserver-personal-1.5.0


Any ideas how to stop emerge update world, downgrading nxserver-freenx?
Back to top
View user's profile Send private message
StifflerStealth
Retired Dev
Retired Dev


Joined: 03 Jul 2002
Posts: 968

PostPosted: Tue May 02, 2006 10:37 pm    Post subject: Reply with quote

The only thing that I can think of is add =net-misc/nxserver-freenx-0.5.0 to package.mask and change the line in package.unmask to >=net-misc/nxserver-freenx-0.5.0.

EDIT: Now that the ebuilds are in portage, you can delete the overlays. :) Maybe that will help too.
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
baaann
Guru
Guru


Joined: 23 Jan 2006
Posts: 549
Location: uk

PostPosted: Wed May 03, 2006 8:22 am    Post subject: Reply with quote

OK solved it! I had thought it had to be a problem with my setup, didn't realise it was staring me in the face :roll:

My /etc/portage/package.unmask contains "net-misc/nxserver-freenx-1.5.0" instead of "net-misc/nxserver-freenx-0.5.0" :oops: In my defence, the former is listed in the SVN howto. Did you change the version number when submiting to portage? I haven't had this problem previously :?

Quote:

EDIT: Now that the ebuilds are in portage, you can delete the overlays. :) Maybe that will help too.


Does this mean portage will keep up with all your wonderful improvements? :D
Back to top
View user's profile Send private message
mlaccetti
n00b
n00b


Joined: 30 Nov 2003
Posts: 45
Location: Toronto

PostPosted: Wed May 03, 2006 6:19 pm    Post subject: Reply with quote

I seem to be having the same problem that MHenry676 was having. My client always dies with the following:

Code:
NX> 105 /usr/NX/bin/nxserver: line 1077:  5579 Terminated              sleep $AGENT_STARTUP_TIMEOUT
NX> 1006 Session status: running
NX> 596 Session startup failed.
NX> 1004 Error: NX Agent exited with exit status 1.
Can't open /usr/NX/var/db/running/sessionId{C83B6FF5431A410269CE7B3BAD2D6A25}: No such file or directory.
mv: cannot stat `/usr/NX/var/db/running/sessionId{C83B6FF5431A410269CE7B3BAD2D6A25}': No such file or directory
NX> 1006 Session status: closed
NX> 1001 Bye.
Killed by signal 15.


I have removed everything, and started from scratch, just in case it was a configuration issue, but doesn't seem to be. I'm at a loss. Any ideas?
_________________
Michael Laccetti
michael@s2g-limited.com
s2g Limited
Toronto, Ontario, Canada
Software Development and Consulting
Back to top
View user's profile Send private message
baaann
Guru
Guru


Joined: 23 Jan 2006
Posts: 549
Location: uk

PostPosted: Wed May 03, 2006 6:49 pm    Post subject: Reply with quote

mlaccetti wrote:
I seem to be having the same problem that MHenry676 was having.


You didn't say whether you tried his solution?

Quote:

Ok, found the culprit. As posted by StifflerStealth


PostPosted: Sat Mar 25, 2006 11:31 pm Post subject: Reply with quote
Quote:
Why is it looking in /usr/lib ? It should be looking in /usr/NX/lib. :S Maybe this has to do with taking LDPATH=/usr/NX/lib out of the 50nxpaths file. -_-'

Can you edit the file /etc/env.d/50nxpaths and make it so it looks like this:
Quote:
PATH=/usr/NX/bin
ROOTPATH=/usr/NX/bin
LDPATH=/usr/NX/lib
CONFIG_PROTECT="/usr/NX/etc /usr/NX/home"
Then type env-update, and see if everything works right? Also you need to add your user to nx. Did you type nxserver --adduser {your_user_name}?

Cheers.


Works great!

Mine actually looks like this now.

Code:

PATH=/usr/NX/bin
ROOTPATH=/usr/NX/bin
CONFIG_PROTECT="/usr/NX/etc /usr/NX/home"
PRELINK_PATH_MASK=/usr/NX
SEARCH_DIRS_MASK=/usr/NX
LDPATH=/usr/NX/lib


Previously, mine didn't have the LDPATH as that was the only change.
Back to top
View user's profile Send private message
mlaccetti
n00b
n00b


Joined: 30 Nov 2003
Posts: 45
Location: Toronto

PostPosted: Wed May 03, 2006 7:11 pm    Post subject: Reply with quote

Sorry, my apologies. Yes, I've tried the "fix." I'm not sure why that would fix it, since my problem isn't related to libraries, but a seeming inability to create a file in the proper place. Any other ideas? I'm using the NM client, I have the enable 1.5 stuff in node.conf... Seems to work for everybody else!
_________________
Michael Laccetti
michael@s2g-limited.com
s2g Limited
Toronto, Ontario, Canada
Software Development and Consulting
Back to top
View user's profile Send private message
StifflerStealth
Retired Dev
Retired Dev


Joined: 03 Jul 2002
Posts: 968

PostPosted: Wed May 03, 2006 10:12 pm    Post subject: Reply with quote

Just to note, for future reference, I added code in the new freenx ebuilds to auto-enable certain things:

Quote:
# Change the defaults in nxloadconfig to meet the users needs.
if has_version "~net-misc/nx-x11-1.5.0" || has_version "~net-misc/nx-x11-bin-1.5.0" ; then
einfo "Enabling the NX 1.5.0 backend support."
sed -i '/ENABLE_1_5_0_BACKEND=/s/"0"/"1"/' nxloadconfig
sed -i '/ENABLE_1_5_0_BACKEND=/s/"0"/"1"/' node.conf.sample
fi
if use arts ; then
einfo "Enabling arts support."
sed -i '/ENABLE_ARTSD_PRELOAD=/s/"0"/"1"/' nxloadconfig
sed -i '/ENABLE_ARTSD_PRELOAD=/s/"0"/"1"/' node.conf.sample
fi
if use esd ; then
einfo "Enabling esd support."
sed -i '/ENABLE_ESD_PRELOAD=/s/"0"/"1"/' nxloadconfig
sed -i '/ENABLE_ESD_PRELOAD=/s/"0"/"1"/' node.conf.sample
fi
if use cups ; then
einfo "Enabling cups support."
sed -i '/ENABLE_KDE_CUPS=/s/"0"/"1"/' nxloadconfig
sed -i '/ENABLE_KDE_CUPS=/s/"0"/"1"/' node.conf.sample
fi
This was taken from the ebuild. :), so you don't need to manually enable the 1.5 backend anymore. ^^

@Baaann: No, I didn't change the version number, and I will look at the howto. I might have gotten carried away with the 1.5.0 version number when I wrote that up. :oops:

Adding the LDFLAGS line to 5onxpaths is not always the case. That line use to be in the files, but it tends to break things and is not really needed, like I don't have it in my 50nxpaths file and NX works. We had to remove that line because it really does break some systems, so it was safer to remove it. If in the future, more people need it than not, we can always add it back in, though it breaks portage, and that's not good. People have asked why it's not in there, and that's why. :)

cheers
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
mlaccetti
n00b
n00b


Joined: 30 Nov 2003
Posts: 45
Location: Toronto

PostPosted: Thu May 04, 2006 1:41 am    Post subject: Reply with quote

Hrm. Turns out it WAS the LDPATH bit. nxagent was choking on not finding one of the necessary libraries. Fixed it, did the etc-update, and it all works.

I feel really smrt...
_________________
Michael Laccetti
michael@s2g-limited.com
s2g Limited
Toronto, Ontario, Canada
Software Development and Consulting
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks All times are GMT
Goto page Previous  1, 2, 3 ... 20, 21, 22 ... 28, 29, 30  Next
Page 21 of 30

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum